Software Message Board
記事リスト新着記事ワード検索過去ログ管理用

タイトル Susieプラグインの対応拡張子について
投稿日: 2018/08/07(Tue) 23:13
投稿者fzok4234

本サイトに掲載されているSusieプラグインは対応している拡張子が
決定されており、ユーザーが自由に拡張子を設定できません。しかし
NeeViewなどの一部のアプリは、プラグインが返す特定の拡張子の
ファイルのみそのプラグインで開く仕様になっています。このため、
プラグインにハードコードされたもの以外の拡張子を持っているが
バイナリ構造自体はこのプラグインで対応しているファイルをその
アプリから開くことができません。

例えば、axeres.spiは任意の実行ファイルを開くことができるはず
なのですが、.ocxなどのaxeres.spiにハードコードされていない
拡張子の実行ファイルはNeeViewから開くことができません。

できればユーザーが設定で任意の対応拡張子を指定できるように
して頂ければ大変ありがたいです。ですが、12個もあるSusie
プラグインを一気にアップデートするのは大変なので、今後の
アップデートのついでに対応するなど徐々に行っていただければ
結構です。また、拡張子の入力ダイアログや設定ファイルの
読み書きなどの共通するルーチンがいずれ全てのプラグインに
実装されることを考えれば、このルーチンを別DLLにして
各プラグインから呼び出す方法をとるほうがよいかもしれません。




- 関連一覧ツリー (▼ をクリックするとツリー全体を一括表示します)